com.sun.jna.platform.win32

## Class WinNT.ACCESS_ALLOWED_ACE

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.WinNT.ACEStructure
    - - com.sun.jna.platform.win32.WinNT.ACCESS_ACEStructure
      - - com.sun.jna.platform.win32.WinNT.ACCESS_ALLOWED_ACE

Enclosing interface:
  WinNT

    public static class WinNT.ACCESS_ALLOWED_ACE
    extends WinNT.ACCESS_ACEStructure

### Nested Class Summary

### Nested classes/interfaces inherited from class com.sun.jna.Structure

`Structure.ByReference, Structure.ByValue, Structure.StructField`

### Field Summary

### Fields inherited from class com.sun.jna.platform.win32.WinNT.ACCESS_ACEStructure

`FIELDS, Mask, SidStart`

### Fields inherited from class com.sun.jna.platform.win32.WinNT.ACEStructure

`AceFlags, AceSize, AceType, psid`

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`ACCESS_ALLOWED_ACE()`
`ACCESS_ALLOWED_ACE(int Mask, byte AceFlags, WinNT.PSID psid)`
`ACCESS_ALLOWED_ACE(Pointer p)`

### Method Summary

### Methods inherited from class com.sun.jna.platform.win32.WinNT.ACCESS_ACEStructure

`getFieldOrder, read, write`

### Methods inherited from class com.sun.jna.platform.win32.WinNT.ACEStructure

`getSID, getSidString`

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, writeField, writeField, writeField`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ACCESS_ALLOWED_ACE

    public ACCESS_ALLOWED_ACE()

#### ACCESS_ALLOWED_ACE

    public ACCESS_ALLOWED_ACE(Pointer p)

#### ACCESS_ALLOWED_ACE

    public ACCESS_ALLOWED_ACE(int Mask,
                              byte AceFlags,
                              WinNT.PSID psid)

Copyright © 2007-2016 Timothy Wall. All Rights Reserved.